package edu.prlab.tyler.iotgateway.gateway.repositories;

import edu.prlab.tyler.iotgateway.gateway.pojo.auth.User;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
@Repository
public interface UserRepository extends CrudRepository<User, Long> {
    User findUserByUsername(String username);
    boolean existsByUsername(String username);
}
